From 6ff897686bb4a5997a23a5f25798ae5ab6d35bbb Mon Sep 17 00:00:00 2001 From: mithunP-45 Date: Thu, 19 Feb 2026 11:23:32 +0530 Subject: [PATCH 1/6] [ILX-46261] Included new endpoints --- source/includes/acts/delete_api.md | 436 ++++++++++++++++- source/includes/acts/get_api.md | 633 ++++++++++++++++++++++-- source/includes/acts/post_api.md | 748 +++++++++++++++++++++++++++-- 3 files changed, 1737 insertions(+), 80 deletions(-) diff --git a/source/includes/acts/delete_api.md b/source/includes/acts/delete_api.md index 1de0c0df653..4c96f72b8f6 100644 --- a/source/includes/acts/delete_api.md +++ b/source/includes/acts/delete_api.md @@ -7,17 +7,82 @@ This section outlines the available Delete APIs designed for modifying ACTS data As per the current release, DELETE APIs End points are provided to delete from the following tables: * Analysis +* Analysis Attribute * Analysis Compound +* Analysis Value * Emission Factor * Equipment Analysis +* Equipment Requirement +* Facility Analysis +* Facility Regulation * Operation * Regulation +* Regulation Attribute * Requirement * Requirement Limit +* Requirement Person DELETE requests to these endpoints should be formatted in JSON. -### 1. Analysis Table +### 1. Analysis Attribute Table + +This section guides you through the process of removing/deleting the existing records from the Analysis Attribute table using the designated API endpoint. + +**Analysis Attribute DELETE endpoint** + +`DELETE` /actsapi/v1/analysisattribute + +> Example Request & JSON Input Body + +```javascript +var request = require("request"); + +var options = { method: 'DELETE', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/analysisattribute', + headers: { 'content-type': 'application/json' }, + body: + { + [analysisAttributeId1, analysisAttributeId2, analysisAttributeId3....] + }, + json: true }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp + +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/analysisattribute"); +var request = new RestRequest(Method.DELETE); +request.AddHeader("content-type", "application/json"); +request.AddParameter("application/json", "{\r\n [analysisAttributeId1, analysisAttributeId2, analysisAttributeId3....] \r\n}", ParameterType.RequestBody); +IRestResponse response = client.Execute(request); +``` +> Input JSON Body + +```json + + { + [analysisAttributeId1, analysisAttributeId2, analysisAttributeId3....] + } + +``` +> Example Response + +```json +{ + "deletedRowCount": 1, + "notFoundCount": 0, + "failureCount": 0, + "errorMessage" : [] +} + +``` + +### 2. Analysis Table This section guides you through the process of removing/deleting the existing records from the Analysis table using the designated API endpoint. @@ -75,7 +140,7 @@ IRestResponse response = client.Execute(request); ``` -### 2. Analysis Compound Table +### 3. Analysis Compound Table This section guides you through the process of removing/deleting the existing records from the Analysis Compound table using the designated API endpoint. @@ -134,7 +199,66 @@ IRestResponse response = client.Execute(request); ``` -### 3. Emission Factor Table +### 4. Analysis Value Table + +This section guides you through the process of removing/deleting the existing records from the Analysis Value table using the designated API endpoint. + +**Analysis Value DELETE endpoint** + +`DELETE` /actsapi/v1/analysisvalue + +> Example Request & JSON Input Body + +```javascript +var request = require("request"); + +var options = { method: 'DELETE', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/analysisvalue', + headers: { 'content-type': 'application/json' }, + body: + { + [analysisValueId1, analysisValueId2, analysisValueId3....] + }, + json: true }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp + +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/analysisvalue"); +var request = new RestRequest(Method.DELETE); +request.AddHeader("content-type", "application/json"); +request.AddParameter("application/json", "{\r\n [analysisValueId1, analysisValueId2, analysisValueId3....] \r\n}", ParameterType.RequestBody); +IRestResponse response = client.Execute(request); +``` +> Input JSON Body + +```json + + { + [analysisValueId1, analysisValueId2, analysisValueId3....] + } + +``` +> Example Response + +```json +{ + "deletedRowCount": 1, + "notFoundCount": 0, + "failureCount": 0, + "errorMessage" : [] +} + +``` + + +### 5. Emission Factor Table This section guides you through the process of removing/deleting the existing records from the Emission Factor table using the designated API endpoint. @@ -193,7 +317,7 @@ IRestResponse response = client.Execute(request); ``` -### 4. Equipment Analysis Table +### 6. Equipment Analysis Table This section guides you through the process of removing/deleting the existing records from the Equipment Analysis table using the designated API endpoint. @@ -211,7 +335,7 @@ var options = { method: 'DELETE', headers: { 'content-type': 'application/json' }, body: { - [equipmentanalysisId1, equipmentanalysisId2, equipmentanalysisId3....] + [equipmentAnalysisId1, equipmentAnalysisId2, equipmentAnalysisId3....] }, json: true }; @@ -227,7 +351,181 @@ request(options, function (error, response, body) { var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/equipmentanalysis"); var request = new RestRequest(Method.DELETE); request.AddHeader("content-type", "application/json"); -request.AddParameter("application/json", "{\r\n [equipmentanalysisId1, equipmentanalysisId2, equipmentanalysisId3....] \r\n}", ParameterType.RequestBody); +request.AddParameter("application/json", "{\r\n [equipmentAnalysisId1, equipmentAnalysisId2, equipmentAnalysisId3....] \r\n}", ParameterType.RequestBody); +IRestResponse response = client.Execute(request); +``` +> Input JSON Body + +```json + + { + [equipmentAnalysisId1, equipmentAnalysisId2, equipmentAnalysisId3....] + } + +``` +> Example Response + +```json +{ + "deletedRowCount": 1, + "notFoundCount": 0, + "failureCount": 0, + "errorMessage" : [] +} + +``` + +### 7. Equipment Requirement Table + +This section guides you through the process of removing/deleting the existing records from the Equipment Requirement table using the designated API endpoint. + +**Equipment Requirement DELETE endpoint** + +`DELETE` /actsapi/v1/equipmentrequirement + +> Example Request & JSON Input Body + +```javascript +var request = require("request"); + +var options = { method: 'DELETE', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/equipmentrequirement', + headers: { 'content-type': 'application/json' }, + body: + { + [equipmentRequirementId1, equipmentRequirementId2, equipmentRequirementId3....] + }, + json: true }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp + +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/equipmentrequirement"); +var request = new RestRequest(Method.DELETE); +request.AddHeader("content-type", "application/json"); +request.AddParameter("application/json", "{\r\n [equipmentRequirementId1, equipmentRequirementId2, equipmentRequirementId3....] \r\n}", ParameterType.RequestBody); +IRestResponse response = client.Execute(request); +``` +> Input JSON Body + +```json + + { + [equipmentRequirementId1, equipmentRequirementId2, equipmentRequirementId3....] + } + +``` +> Example Response + +```json +{ + "deletedRowCount": 1, + "notFoundCount": 0, + "failureCount": 0, + "errorMessage" : [] +} + +``` + +### 8. Facility Analysis Table + +This section guides you through the process of removing/deleting the existing records from the Facility Analysis table using the designated API endpoint. + +**Facility Analysis DELETE endpoint** + +`DELETE` /actsapi/v1/facilityanalysis + +> Example Request & JSON Input Body + +```javascript +var request = require("request"); + +var options = { method: 'DELETE', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/facilityanalysis', + headers: { 'content-type': 'application/json' }, + body: + { + [facilityAnalysisId1, facilityAnalysisId2, facilityAnalysisId3....] + }, + json: true }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp + +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/facilityanalysis"); +var request = new RestRequest(Method.DELETE); +request.AddHeader("content-type", "application/json"); +request.AddParameter("application/json", "{\r\n [facilityAnalysisId1, facilityAnalysisId2, facilityAnalysisId3....] \r\n}", ParameterType.RequestBody); +IRestResponse response = client.Execute(request); +``` +> Input JSON Body + +```json + + { + [facilityAnalysisId1, facilityAnalysisId2, facilityAnalysisId3....] + } + +``` +> Example Response + +```json +{ + "deletedRowCount": 1, + "notFoundCount": 0, + "failureCount": 0, + "errorMessage" : [] +} + +``` + +### 9. Facility Regulation Table + +This section guides you through the process of removing/deleting the existing records from the Facility Regulation table using the designated API endpoint. + +**Facility Regulation DELETE endpoint** + +`DELETE` /actsapi/v1/facilityregulation + +> Example Request & JSON Input Body + +```javascript +var request = require("request"); + +var options = { method: 'DELETE', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/facilityregulation', + headers: { 'content-type': 'application/json' }, + body: + { + [facilityRegulationId1, facilityRegulationId2, facilityRegulationId3....] + }, + json: true }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp + +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/facilityregulation"); +var request = new RestRequest(Method.DELETE); +request.AddHeader("content-type", "application/json"); +request.AddParameter("application/json", "{\r\n [facilityRegulationId1, facilityRegulationId2, facilityRegulationId3....] \r\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` > Input JSON Body @@ -235,7 +533,7 @@ IRestResponse response = client.Execute(request); ```json { - [equipmentanalysisId1, equipmentanalysisId2, equipmentanalysisId3....] + [facilityRegulationId1, facilityRegulationId2, facilityRegulationId3....] } ``` @@ -251,7 +549,7 @@ IRestResponse response = client.Execute(request); ``` -### 5. Operation Table +### 10. Operation Table This section guides you through the process of removing/deleting the existing records from the Operation table using the designated API endpoint. @@ -309,7 +607,7 @@ IRestResponse response = client.Execute(request); ``` -### 6. Regulation Table +### 11. Regulation Table This section guides you through the process of removing/deleting the existing records from the Regulation table using the designated API endpoint. @@ -363,7 +661,65 @@ IRestResponse response = client.Execute(request); } ``` -### 7. Requirement Table +### 12. Regulation Attribute Table + +This section guides you through the process of removing/deleting the existing records from the Regulation Attribute table using the designated API endpoint. + +**Regulation Attribute DELETE endpoint** + +`DELETE` /actsapi/v1/regulationattribute + +> Example Request & JSON Input Body + +```javascript +var request = require("request"); + +var options = { method: 'DELETE', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/regulationattribute', + headers: { 'content-type': 'application/json' }, + body: + { + [regulationAttributeId1, regulationAttributeId2, regulationAttributeId3....] + }, + json: true }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp + +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/regulationattribute"); +var request = new RestRequest(Method.DELETE); +request.AddHeader("content-type", "application/json"); +request.AddParameter("application/json", "{\r\n [regulationAttributeId1, regulationAttributeId2, regulationAttributeId3....] \r\n}", ParameterType.RequestBody); +IRestResponse response = client.Execute(request); +``` +> Input JSON Body + +```json + + { + [regulationAttributeId1, regulationAttributeId2, regulationAttributeId3....] + } + +``` +> Example Response + +```json +{ + "deletedRowCount": 1, + "notFoundCount": 0, + "failureCount": 0, + "errorMessage" : [] +} + +``` + +### 13. Requirement Table This section guides you through the process of removing/deleting the existing records from the Requirement table using the designated API endpoint. @@ -417,7 +773,7 @@ IRestResponse response = client.Execute(request); } ``` -### 8. Requirement Limit Table +### 14. Requirement Limit Table This section guides you through the process of removing/deleting the existing records from the Requirement Limit table using the designated API endpoint. @@ -469,4 +825,62 @@ IRestResponse response = client.Execute(request); "failureCount": 0, "errorMessage" : [] } +``` + +### 15. Requirement Person Table + +This section guides you through the process of removing/deleting the existing records from the Requirement Person table using the designated API endpoint. + +**Requirement Person DELETE endpoint** + +`DELETE` /actsapi/v1/requirementperson + +> Example Request & JSON Input Body + +```javascript +var request = require("request"); + +var options = { method: 'DELETE', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/requirementperson', + headers: { 'content-type': 'application/json' }, + body: + { + [requirementPersonId1, requirementPersonId2, requirementPersonId3....] + }, + json: true }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp + +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/requirementperson"); +var request = new RestRequest(Method.DELETE); +request.AddHeader("content-type", "application/json"); +request.AddParameter("application/json", "{\r\n [requirementPersonId1, requirementPersonId2, requirementPersonId3....] \r\n}", ParameterType.RequestBody); +IRestResponse response = client.Execute(request); +``` +> Input JSON Body + +```json + + { + [requirementPersonId1, requirementPersonId2, requirementPersonId3....] + } + +``` +> Example Response + +```json +{ + "deletedRowCount": 1, + "notFoundCount": 0, + "failureCount": 0, + "errorMessage" : [] +} + ``` \ No newline at end of file diff --git a/source/includes/acts/get_api.md b/source/includes/acts/get_api.md index 5a7b492b30e..d2853537c25 100644 --- a/source/includes/acts/get_api.md +++ b/source/includes/acts/get_api.md @@ -4,6 +4,10 @@ This section outlines the various GET APIs available for fetching data from diff As per the current release, GET APIs End points are provided to fetch from the following tables: +* Analysis +* Analysis Compound +* Analysis Type +* Analysis Value * Attribute Type * Compound * Emission @@ -11,13 +15,16 @@ As per the current release, GET APIs End points are provided to fetch from the f * Emission Factor * Emission Type * Equipment +* Equipment Analysis * Equipment Attribute * Equipment Status * Equipment Type * Facility +* Facility Analysis * Facility Attribute * Operation * Operation Type +* Person * Query * Regulation * Regulation Type @@ -33,7 +40,331 @@ As per the current release, GET APIs End points are provided to fetch from the f * Workflow Question Category * Workflow Type -### 1. Attribute Type Table +### 1. Analysis Table + +This section outlines the process of retrieving data from the Analysis table using the dedicated API endpoint. The endpoint facilitates the retrieval of all data from the Analysis table or enables the selection of specific information by including Analysis Ids, Analysis Type Ids, Analysis Status Ids, Vendor Ids, Vendor Analysis Numbers, Vendor Job Numbers, and date ranges. Additionally, the Analysis endpoint supports pagination to effectively manage larger datasets. + +> Example Request + +```javascript +var request = require("request"); + +var options = { method: 'GET', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/analysis' }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/analysis"); +var request = new RestRequest(Method.GET); +IRestResponse response = client.Execute(request); +``` + +> Response Schema + +```json +{ + "currentPage": 1, + "totalPages": 3, + "currentPageSize": 500, + "maxAPIPageSize": 500, + "totalCount": 1346, + "hasPrevious": false, + "hasNext": true, + "data": [ + { + "analysisId": "number", + "analysisName": "string", + "analysisDate": "2024-01-15T00:00:00", + "alternateName": "string", + "analysisTypeId": "number", + "analysisStatusId": "number", + "vendorId": "number", + "vendorId2": "number", + "vendorJobNumber": "string", + "vendorJobNumber2": "string", + "vendorAnalysisNumber": "string", + "vendorAnalysisNumber2": "string", + "reviewedById": "number", + "reviewedDate": "2024-01-15T00:00:00", + "dataLockTypeId": "number", + "submitDate": "2024-01-15T00:00:00", + "lastModifiedDate": "2024-01-15T00:00:00", + "externalIdentifier": "string", + "comments": "string" + } + ] +} +``` + +**API Endpoints** + +`GET` /actsapi/v1/analysis + +**Query parameters** + +Attribute | Type | Description +--------- | ---- | ----------- +PageNumber | int | Page number of the results to fetch. +PageSize | int | The number of results per page +analysisIds | int | Analysis ID is one of the unique identifiers for this analysis record +analysisTypeIds | int | Analysis Type ID is the unique identifier of the associated analysis type +analysisStatusIds | int | Analysis Status ID is the unique identifier of the associated analysis status +vendorIds | int | Vendor ID is the unique identifier of the associated vendor +vendorAnalysisNumbers | string | Vendor Analysis Number is the analysis number assigned by the vendor +vendorJobNumbers | string | Vendor Job Number is the job number assigned by the vendor +analysisStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +analysisEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +submitStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +submitEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +reviewedStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +reviewedEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +lastModifiedStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +lastModifiedEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +externalIdentifier | string | External Identifier is a unique identifier for this record to an external data system + +### 2. Analysis Compound Table + +This section outlines the process of retrieving data from the Analysis Compound table using the dedicated API endpoint. The endpoint facilitates the retrieval of all data from the Analysis Compound table or enables the selection of specific information by including Analysis Compound Ids, Analysis Ids, Compound Ids, Unit Ids, and date ranges. Additionally, the Analysis Compound endpoint supports pagination to effectively manage larger datasets. + +> Example Request + +```javascript +var request = require("request"); + +var options = { method: 'GET', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/analysiscompound' }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/analysiscompound"); +var request = new RestRequest(Method.GET); +IRestResponse response = client.Execute(request); +``` + +> Response Schema + +```json +{ + "currentPage": 1, + "totalPages": 3, + "currentPageSize": 500, + "maxAPIPageSize": 500, + "totalCount": 1346, + "hasPrevious": false, + "hasNext": true, + "data": [ + { + "analysisCompoundId": "number", + "analysisId": "number", + "analysisDate": "2024-01-15T00:00:00", + "compoundId": "number", + "analysisValue": "number", + "unitId": "number", + "operator": "string", + "resultText": "string", + "reportableInd": "string", + "reportingLimit": "number", + "method": "string", + "methodDetectionLimit": "number", + "qualifier": "string", + "dilutionFactor": "number", + "sortOrder": "number", + "dataLockTypeId": "number", + "lastModifiedDate": "2024-01-15T00:00:00", + "externalIdentifier": "string", + "comments": "string" + } + ] +} +``` + +**API Endpoints** + +`GET` /actsapi/v1/analysiscompound + +**Query parameters** + +Attribute | Type | Description +--------- | ---- | ----------- +PageNumber | int | Page number of the results to fetch. +PageSize | int | The number of results per page +analysisCompoundIds | int | Analysis Compound ID is one of the unique identifiers for this analysis compound record +analysisIds | int | Analysis ID is the unique identifier of the associated analysis +compoundIds | int | Compound ID is the unique identifier of the associated compound +unitIds | int | Unit ID is the unique identifier of the associated unit +analysisStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +analysisEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +lastModifiedStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +lastModifiedEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +externalIdentifier | string | External Identifier is a unique identifier for this record to an external data system + +### 3. Analysis Type Table + +This section outlines the process of retrieving data from the Analysis Type table using the dedicated API endpoint. The endpoint facilitates the retrieval of all data from the Analysis Type table or enables the selection of specific information by including Analysis Type Ids. Additionally, the Analysis Type endpoint supports pagination to effectively manage larger datasets. + +> Example Request + +```javascript +var request = require("request"); + +var options = { method: 'GET', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/analysistype' }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/analysistype"); +var request = new RestRequest(Method.GET); +IRestResponse response = client.Execute(request); +``` + +> Response Schema + +```json +{ + "currentPage": 1, + "totalPages": 3, + "currentPageSize": 500, + "maxAPIPageSize": 500, + "totalCount": 1346, + "hasPrevious": false, + "hasNext": true, + "data": [ + { + "analysisTypeId": "number", + "analysisType": "string", + "analysisAttributesInd": "string", + "analysisValuesInd": "string", + "analysisCompoundsInd": "string", + "areaAssociationsInd": "string", + "facilityAssociationsInd": "string", + "equipmentAssociationsInd": "string", + "fileAttachmentsInd": "string", + "taskCompletionCriteria": "string", + "sortOrder": "number", + "lastModifiedDate": "2024-01-15T00:00:00", + "externalIdentifier": "string", + "comments": "string", + "refId": "string" + } + ] +} +``` + +**API Endpoints** + +`GET` /actsapi/v1/analysistype + +**Query parameters** + +Attribute | Type | Description +--------- | ---- | ----------- +PageNumber | int | Page number of the results to fetch. +PageSize | int | The number of results per page +analysisTypeIds | int | Analysis Type ID is one of the unique identifiers for this analysis type record +analysisTypes | string | Analysis Types is one of the filter option and the parameter is for the type of the analysis +externalIdentifier | string | External Identifier is a unique identifier for this record to an external data system + +### 4. Analysis Value Table + +This section outlines the process of retrieving data from the Analysis Value table using the dedicated API endpoint. The endpoint facilitates the retrieval of all data from the Analysis Value table or enables the selection of specific information by including Analysis Value Ids, Analysis Ids, Unit Ids, and date ranges. Additionally, the Analysis Value endpoint supports pagination to effectively manage larger datasets. + +> Example Request + +```javascript +var request = require("request"); + +var options = { method: 'GET', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/analysisvalue' }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/analysisvalue"); +var request = new RestRequest(Method.GET); +IRestResponse response = client.Execute(request); +``` + +> Response Schema + +```json +{ + "currentPage": 1, + "totalPages": 3, + "currentPageSize": 500, + "maxAPIPageSize": 500, + "totalCount": 1346, + "hasPrevious": false, + "hasNext": true, + "data": [ + { + "analysisValueId": "number", + "analysisId": "number", + "analysisValueName": "string", + "operator": "string", + "analysisValue": "number", + "unitId": "number", + "resultText": "string", + "analysisDate": "2024-01-15T00:00:00", + "dilutionFactor": "number", + "reportingLimit": "number", + "method": "string", + "methodDetectionLimit": "number", + "qualifier": "string", + "reportableInd": "string", + "dataLockTypeId": "number", + "sortOrder": "number", + "lastModifiedDate": "2024-01-15T00:00:00", + "externalIdentifier": "string", + "comments": "string" + } + ] +} +``` + +**API Endpoints** + +`GET` /actsapi/v1/analysisvalue + +**Query parameters** + +Attribute | Type | Description +--------- | ---- | ----------- +PageNumber | int | Page number of the results to fetch. +PageSize | int | The number of results per page +analysisValueIds | int | Analysis Value ID is one of the unique identifiers for this analysis value record +analysisIds | int | Analysis ID is the unique identifier of the associated analysis +unitIds | int | Unit ID is the unique identifier of the associated unit +analysisValueNames | string | Analysis Value Names is one of the filter options for the name of the analysis value +analysisStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +analysisEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +lastModifiedStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +lastModifiedEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +externalIdentifier | string | External Identifier is a unique identifier for this record to an external data system + +### 5. Attribute Type Table This section outlines the process of retrieving data from the Attribute Type table using the dedicated API endpoint. The endpoint facilitates the retrieval of all data from the Attribute Type table or enables the selection of specific information by including Attribute Ids and Attribute Types. Additionally, the Attribute Type endpoint supports pagination to effectively manage larger datasets. @@ -111,7 +442,7 @@ PageSize | int | The number of results per page attributeTypeIds | int | Attribute ID is one of the filter parameter is a integer data type attributeTypes | string | Attribute Types is for the project detail type -### 2. Compound Table +### 6. Compound Table This section guides you through the process of fetching data from the Compound table using the dedicated API endpoint. The endpoint offers the flexibility to retrieve all data from the Compound table or selectively acquire information by including Compound Ids, Compound Type Ids, Compound Status Ids, Compound Names, External Identifiers, or CAS Numbers. Additionally, the Compound endpoint is equipped with pagination capabilities to facilitate efficient management of substantial datasets. @@ -212,7 +543,7 @@ compoundNames | string | Compound Names The name of the compound which is a stri externalIdentifier | int | External Identifiers is a unique identifier for this record to an external data system cas | string | CAS Number is a Chemical Abstract Service number for the compound -### 3. Emission Table +### 7. Emission Table This section elaborates on how to obtain data from the Emission table using the designated API endpoint. The endpoint allows you to retrieve all data from the Emission table or selectively acquire information by providing the Emission ID. Moreover, the Emission endpoint features pagination to facilitate efficient management of substantial datasets. @@ -304,7 +635,7 @@ activeEndDate| datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2 inactiveStartDate| datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" inactiveEndDate| datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" -### 4. Emission Category Table +### 8. Emission Category Table This section elaborates on how to obtain data from the Emission Category table using the designated API endpoint. The endpoint allows you to retrieve all data from the Emission Category table or selectively acquire information by providing the Emission Category ID. Moreover, the Emission Category endpoint features pagination to facilitate efficient management of substantial datasets. @@ -364,7 +695,7 @@ PageSize | int | The number of results per page emissionCategoryIds | int | Emission Category ID is one of the unique identifier for this emission category record and is one of the filter option provided for Emission Category emissionCategoryTypes | string | Emission Category Types is for the project to emission category detail types -### 5. Emission Factor Table +### 9. Emission Factor Table This section elaborates on how to obtain data from the Emission Factor table using the designated API endpoint. The endpoint allows you to retrieve all data from the Emission Factor table or You can optionally fetch specific data by including the emission factor Ids, emission factor names, emission type Ids, emission category Ids, unit Ids, compound Ids, equipment Ids, last modified start date and last modified end date. The Emission Factor endpoint supports pagination. @@ -441,7 +772,7 @@ equipmentIds | int | The unique identifier of the associated equipment lastModifiedStartDate | string | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" lastModifiedEndDate | string | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" -### 6. Emission Type Table +### 10. Emission Type Table This section guides you through the process of fetching data from the Emission Type table using the dedicated API endpoint. The endpoint enables you to retrieve data from the entire Emission Type table or selectively obtain information by including Emission Type Ids. Additionally, the Emission Type endpoint is equipped with pagination capabilities to facilitate the handling of extensive datasets. @@ -505,7 +836,7 @@ emissionTypeIds | int | Emission Type ID is one of the type of emissions and is emissionTypes | string | Emission Types is for the project to emission detail types -### 7. Equipment Table +### 11. Equipment Table This section provides guidance on retrieving data from the Equipment table using the designated API endpoint. The endpoint allows you to retrieve all data from the Equipment table or specify specific data based on equipment Ids. Additionally, the Equipment endpoint offers pagination support to facilitate the handling of substantial datasets. @@ -592,7 +923,83 @@ lastModifiedEndDate | string | Date time format "yyyy/mm/dd T hours:min:secZ - E externalIdentifier | string | External Identifier a unique identifier for this record to an external data system -### 8. Equipment Attribute Table +### 12. Equipment Analysis Table + +This section outlines the process of retrieving data from the Equipment Analysis table using the dedicated API endpoint. The endpoint facilitates the retrieval of all data from the Equipment Analysis table or enables the selection of specific information by including Equipment Analysis Ids, Equipment Ids, Analysis Ids, Analysis Association Type Ids, and date ranges. Additionally, the Equipment Analysis endpoint supports pagination to effectively manage larger datasets. + +> Example Request + +```javascript +var request = require("request"); + +var options = { method: 'GET', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/equipmentanalysis' }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/equipmentanalysis"); +var request = new RestRequest(Method.GET); +IRestResponse response = client.Execute(request); +``` + +> Response Schema + +```json +{ + "currentPage": 1, + "totalPages": 3, + "currentPageSize": 500, + "maxAPIPageSize": 500, + "totalCount": 1346, + "hasPrevious": false, + "hasNext": true, + "data": [ + { + "equipmentAnalysisId": "number", + "equipmentId": "number", + "analysisId": "number", + "analysisAssociationTypeId": "number", + "dataLockTypeId": "number", + "activeDate": "2024-01-15T00:00:00", + "inactiveDate": "2024-01-15T00:00:00", + "lastModifiedDate": "2024-01-15T00:00:00", + "externalIdentifier": "string", + "comments": "string" + } + ] +} +``` + +**API Endpoints** + +`GET` /actsapi/v1/equipmentanalysis + +**Query parameters** + +Attribute | Type | Description +--------- | ---- | ----------- +PageNumber | int | Page number of the results to fetch. +PageSize | int | The number of results per page +equipmentAnalysisIds | int | Equipment Analysis ID is one of the unique identifiers for this equipment analysis record +equipmentIds | int | Equipment ID is the unique identifier of the associated equipment +analysisIds | int | Analysis ID is the unique identifier of the associated analysis +analysisAssociationTypeIds | int | Analysis Association Type ID is the unique identifier of the associated analysis association type +activeStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +activeEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +inactiveStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +inactiveEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +lastModifiedStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +lastModifiedEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +externalIdentifier | string | External Identifier is a unique identifier for this record to an external data system + + +### 13. Equipment Attribute Table All data from the Equipment Attribute table will be returned from the endpoint below. You can optionally fetch specific data by including the facility attribute Ids, facility names, emission type Ids, facility type Ids, unit Ids, equipment Ids, last modified start date and last modified end date. The facility attribute endpoint supports pagination. @@ -662,7 +1069,7 @@ lastModifiedStartDate | string | Date time format "yyyy/mm/dd T hours:min:secZ - lastModifiedEndDate | string | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" -### 9. Equipment Status Table +### 14. Equipment Status Table All data from the Equipment Status table will be returned from the endpoint below. You can optionally fetch specific data by including the equipment status ID and equipment status value. The Equipment Status endpoint supports pagination. @@ -727,7 +1134,7 @@ equipmentStatus | string | Equipment Status is one of the identifier for the sta -### 10. Equipment Type Table +### 15. Equipment Type Table All data from the Equipment Type table will be returned from the endpoint below. You can optionally fetch specific data by including the equipment type ID and equipment types value. The Equipment type endpoint supports pagination. @@ -812,7 +1219,7 @@ equipmentTypeIds | int | Equipment Type ID is one of the unique identifier for t equipmentTypes | string | Equipment Types is one of the filter option and the parameter is for the type of the equipment -### 11. Facility Table +### 16. Facility Table All data from the Facility table will be returned from the endpoint below. You can optionally fetch specific data by including the facility Ids, facility names, emission type Ids, facility type Ids, facility status Ids, county Ids, last modified start date and last modified end date. The facility endpoint supports pagination. @@ -905,7 +1312,83 @@ lastModifiedStartDate | string | Date time format "yyyy/mm/dd T hours:min:secZ - lastModifiedEndDate | string | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" -### 12. Facility Attribute Table +### 17. Facility Analysis Table + +This section outlines the process of retrieving data from the Facility Analysis table using the dedicated API endpoint. The endpoint facilitates the retrieval of all data from the Facility Analysis table or enables the selection of specific information by including Facility Analysis Ids, Facility Ids, Analysis Ids, Analysis Association Type Ids, and date ranges. Additionally, the Facility Analysis endpoint supports pagination to effectively manage larger datasets. + +> Example Request + +```javascript +var request = require("request"); + +var options = { method: 'GET', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/facilityanalysis' }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/facilityanalysis"); +var request = new RestRequest(Method.GET); +IRestResponse response = client.Execute(request); +``` + +> Response Schema + +```json +{ + "currentPage": 1, + "totalPages": 3, + "currentPageSize": 500, + "maxAPIPageSize": 500, + "totalCount": 1346, + "hasPrevious": false, + "hasNext": true, + "data": [ + { + "facilityAnalysisId": "number", + "facilityId": "number", + "analysisId": "number", + "analysisAssociationTypeId": "number", + "dataLockTypeId": "number", + "activeDate": "2024-01-15T00:00:00", + "inactiveDate": "2024-01-15T00:00:00", + "lastModifiedDate": "2024-01-15T00:00:00", + "externalIdentifier": "string", + "comments": "string" + } + ] +} +``` + +**API Endpoints** + +`GET` /actsapi/v1/facilityanalysis + +**Query parameters** + +Attribute | Type | Description +--------- | ---- | ----------- +PageNumber | int | Page number of the results to fetch. +PageSize | int | The number of results per page +facilityAnalysisIds | int | Facility Analysis ID is one of the unique identifiers for this facility analysis record +facilityIds | int | Facility ID is the unique identifier of the associated facility +analysisIds | int | Analysis ID is the unique identifier of the associated analysis +analysisAssociationTypeIds | int | Analysis Association Type ID is the unique identifier of the associated analysis association type +activeStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +activeEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +inactiveStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +inactiveEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +lastModifiedStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +lastModifiedEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +externalIdentifier | string | External Identifier is a unique identifier for this record to an external data system + + +### 18. Facility Attribute Table All data from the Facility Attribute table will be returned from the endpoint below. You can optionally fetch specific data by including the facility attribute Ids, facility names, emission type Ids, facility type Ids, facility attribute and last modified end date. The facility attribute endpoint supports pagination. @@ -978,7 +1461,7 @@ externalidentifier | string | External Identifier a unique identifier for this r comments | string | Comments any comments associated with this record -### 13. Operation Table +### 19. Operation Table All data from the Operation table will be returned from the endpoint below. You can optionally fetch specific data by including the operation Ids, operation type Ids, emission type Ids, emission category Ids, unit Ids, equipment Ids, last modified start date and last modified end date. The Operation endpoint supports pagination. @@ -1061,7 +1544,7 @@ lastModifiedStartDate | string | Date time format "yyyy/mm/dd T hours:min:secZ - lastModifiedEndDate | string | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" -### 14. Operation Type Table +### 20. Operation Type Table All data from the Operation Type table will be returned from the endpoint below. You can optionally fetch specific data by including the operation type ids, operation types . The Operation Type endpoint supports pagination. @@ -1128,7 +1611,101 @@ PageSize | int | The number of results per page operationTypeIDs | int | The unique identifier for this operation type record operationTypes | int | The type of operational data -### 15. Query Results +### 21. Person Table + +This section outlines the process of retrieving data from the Person table using the dedicated API endpoint. The endpoint facilitates the retrieval of all data from the Person table or enables the selection of specific information by including Person Ids, Person Type Ids, Person Status Ids, and name filters. Additionally, the Person endpoint supports pagination to effectively manage larger datasets. + +> Example Request + +```javascript +var request = require("request"); + +var options = { method: 'GET', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/person' }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/person"); +var request = new RestRequest(Method.GET); +IRestResponse response = client.Execute(request); +``` + +> Response Schema + +```json +{ + "currentPage": 1, + "totalPages": 3, + "currentPageSize": 500, + "maxAPIPageSize": 500, + "totalCount": 1346, + "hasPrevious": false, + "hasNext": true, + "data": [ + { + "personId": "number", + "lastName": "string", + "firstName": "string", + "middleName": "string", + "alternateName": "string", + "title": "string", + "personTypeId": "number", + "personStatusId": "number", + "managerId": "number", + "location": "string", + "department": "string", + "sortOrder": "number", + "databaseUsername": "string", + "passwordExpirationDate": "2024-01-15T00:00:00", + "passwordFailedAttempts": "number", + "connectCount": "number", + "connectSeconds": "number", + "lastConnectDate": "2024-01-15T00:00:00", + "lastConnectApplication": "string", + "lastConnectTerminal": "string", + "lastActivityDate": "2024-01-15T00:00:00", + "intelexId": "string", + "actsAccessInd": "boolean", + "activeDate": "2024-01-15T00:00:00", + "inactiveDate": "2024-01-15T00:00:00", + "lastModifiedDate": "2024-01-15T00:00:00", + "externalIdentifier": "string", + "comments": "string" + } + ] +} +``` + +**API Endpoints** + +`GET` /actsapi/v1/person + +**Query parameters** + +Attribute | Type | Description +--------- | ---- | ----------- +PageNumber | int | Page number of the results to fetch. +PageSize | int | The number of results per page +personIds | int | Person ID is one of the unique identifiers for this person record +personTypeIds | int | Person Type ID is the unique identifier of the associated person type +personStatusIds | int | Person Status ID is the unique identifier of the associated person status +lastNames | string | Last Names is one of the filter options for the last name of the person +firstNames | string | First Names is one of the filter options for the first name of the person +lastModifiedStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +lastModifiedEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +activeStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +activeEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +inactiveStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +inactiveEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +externalIdentifier | string | External Identifier is a unique identifier for this record to an external data system + +### 22. Query Results The QueryResults API end point will allow the user to run the views saved in Query view tables and returns the dynamic results based on the specific query view id value. The QueryResults endpoint supports pagination. Request must contain exactly one single queryViewId as a query parameter. @@ -1214,7 +1791,7 @@ PageNumber | int | No | Page number of the results to fetch. PageSize | int | No | The number of results per page queryViewId | int | Yes | The unique identifier for this query view record -### 16. Regulation Table +### 23. Regulation Table This section elaborates on how to obtain data from the Regulation table using the designated API endpoint. The endpoint allows you to retrieve all data from the Regulation table or selectively acquire information by providing the Regulation ID. Moreover, the Regulation endpoint features pagination to facilitate efficient management of substantial datasets. > Example Request @@ -1313,7 +1890,7 @@ inactiveStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - E inactiveEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" -### 17. Regulation Type Table +### 24. Regulation Type Table This section elaborates on how to obtain data from the Regulation Type table using the designated API endpoint. The endpoint allows you to retrieve all data from the Regulation Type table or selectively acquire information by providing the Regulation Type ID. Moreover, the Regulation Type endpoint features pagination to facilitate efficient management of substantial datasets. > Example Request @@ -1394,7 +1971,7 @@ externalIdentifier| string | External Identifier is a unique identifier for this lastModifiedStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" lastModifiedEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" -### 18. Requirement Table +### 25. Requirement Table This section elaborates on how to obtain data from the Requirement table using the designated API endpoint. The endpoint allows you to retrieve all data from the Requirement table or selectively acquire information by providing the Requirement ID. Moreover, the Requirement endpoint features pagination to facilitate efficient management of substantial datasets. > Example Request @@ -1487,7 +2064,7 @@ activeEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : inactiveStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" inactiveEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" -### 19. Requirement Limit Table +### 26. Requirement Limit Table This section elaborates on how to obtain data from the Requirement Limit table using the designated API endpoint. The endpoint allows you to retrieve all data from the Requirement Limit table or selectively acquire information by providing the Requirement Limit ID. Moreover, the Requirement Limit endpoint features pagination to facilitate efficient management of substantial datasets. > Example Request @@ -1582,7 +2159,7 @@ activeEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : inactiveStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" inactiveEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" -### 20. Unit Table +### 27. Unit Table This section outlines how to retrieve data from the Unit table using the provided endpoint. You have the flexibility to fetch specific data by including unit Ids, unit type Ids, and units. The Unit type endpoint also supports pagination for managing large datasets effectively. @@ -1650,7 +2227,7 @@ unitIds | int | Unit ID is one of the unique identifier for this Unit record unitTypeIds | int | Unit Type Ids is the unique identifier of the associated unit type units | string | Units is one of the filter option and the parameter is for the Name of the Unit -### 21. Workflow Table +### 28. Workflow Table This section outlines how to retrieve data from the Workflow table using the provided endpoint. You have the flexibility to fetch specific data by including workflow Ids, workflow type Ids, workflow date for both start date and end date along with the last modified date. The workflow endpoint also supports pagination for managing large datasets effectively. @@ -1720,7 +2297,7 @@ lastModifiedEndDate | dateTime | Date time format "yyyy/mm/dd T hours:min:secZ - externalIdentifier | string | External Identifier a unique identifier for this record to an external data system -### 22. Workflow Answer Table +### 29. Workflow Answer Table This section outlines how to retrieve data from the Workflow Answer table using the provided endpoint. You have the flexibility to fetch specific data by including workflow Answer Ids, workflow Ids, workflow question Ids, category Answer Index, category Revision Index, question Answer Index, question Revision Index, workflow Answer, lastModifiedStartDate and lastModifiedEndDate. The Workflow Answer endpoint also supports pagination for managing large datasets effectively. @@ -1798,7 +2375,7 @@ workflowAnswer | string | Wokflow Answer is the answer to the question.. lastModifiedStartDate | dateTime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" lastModifiedEndDate | dateTime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" -### 23. Workflow Equipment Table +### 30. Workflow Equipment Table This section outlines how to retrieve data from the Workflow Equipment table using the provided endpoint. Equipment workflows are typically labeled Inspection. You have the flexibility to fetch specific data by including workflow Equipment Ids, workflow Ids, and Equipment Ids. The Workflow Equipment endpoint also supports pagination for managing large datasets effectively. @@ -1863,7 +2440,7 @@ workflowEquipmentIds | int | Workflow Equipment ID is the unique identifier for workflowIds | int | Workflow Ids is the unique identifier of the associated workflow. equipmentIds | string | Equipment IDs are the unique identifier of the associated equipment. -### 24. Workflow Facility Table +### 31. Workflow Facility Table This section outlines how to retrieve data from the Workflow Facility table using the provided endpoint. Facility workflows are typically labeled Inspection. You have the flexibility to fetch specific data by including workflow Facility Ids, workflow Ids and facility Ids. The Workflow Facility endpoint also supports pagination for managing large datasets effectively. @@ -1930,7 +2507,7 @@ facilityIds | int | Facility IDs are the unique identifier for the associated fa -### 25. Workflow Person Table +### 32. Workflow Person Table This section outlines how to retrieve data from the Workflow Person table using the provided endpoint. You have the flexibility to fetch specific data by including workflow person Ids, workflow Ids and person Ids. The Unit type endpoint also supports pagination for managing large datasets effectively. @@ -1995,7 +2572,7 @@ workflowPersonIds | int | Workflow Person ID is the unique identifier for the as workflowIds | int | Workflow IDs are the unique identifier for workflows (the named form or workflow type+date completed). personIds | int | Person IDs are the assigned values for associated person(s) and can be used as a filter. -### 26. Workflow Question Table +### 33. Workflow Question Table This section outlines how to retrieve data from the Workflow Question table using the provided endpoint. You have the flexibility to fetch specific data by including workflow Question Ids, workflow question categoy Ids, data type Ids, required Inds and questions. The Workflow Question endpoint also supports pagination for managing large datasets effectively. @@ -2088,7 +2665,7 @@ dataTypeIds | int | Data Type IDs are the unique identifiers for the associated requiredInds | string | Required Inds is the value if an answer is required before saving the form. questions | string | Questions are the question content values included on the form. -### 27. Workflow Question Category Table +### 34. Workflow Question Category Table This section outlines how to retrieve data from the Workflow Question Category table using the provided endpoint. You have the flexibility to fetch specific data by including workflow question category Ids, workflow type Ids and workflow question category. The Workflow Question Category endpoint also supports pagination for managing large datasets effectively. @@ -2166,7 +2743,7 @@ workflowTypeIds | int | Workflow Type IDs are the unique identifiers for the ass workflow question category | string | Workflow Question Category is the category of the form type. -### 28. Workflow Type Table +### 35. Workflow Type Table This section outlines how to retrieve data from the Workflow Type table using the provided endpoint. You have the flexibility to fetch specific data by including workflow Ids, workflow type Ids, and workflows. The Unit type endpoint also supports pagination for managing large datasets effectively. diff --git a/source/includes/acts/post_api.md b/source/includes/acts/post_api.md index a01dda3b808..47facfd1239 100644 --- a/source/includes/acts/post_api.md +++ b/source/includes/acts/post_api.md @@ -14,19 +14,26 @@ Note that excessively large batch POSTs may encounter throttling or failure, dep As per the current release, POST APIs End points are provided to add or update the following tables: * Analysis +* Analysis Attribute * Analysis Compound +* Analysis Value * Emission Factor * Emissions Recalculate By Equipment * Emissions Recalculate By Operation * Equipment * Equipment Analysis * Equipment Attribute +* Equipment Requirement * Facility +* Facility Analysis * Facility Attribute +* Facility Regulation * Operation * Regulation +* Regulation Attribute * Requirement * Requirement Limit +* Requirement Person * Workflow * Workflow Answer * Workflow Equipment @@ -35,7 +42,104 @@ As per the current release, POST APIs End points are provided to add or update t POST requests to these endpoints should be formatted in JSON. -### 1. Analysis Table +### 1. Analysis Attribute Table + +This section guides you through the process of modifying existing Analysis Attribute records or adding new entries to the Analysis Attribute table using the designated API endpoint. For inserting a new record, please pass the primary key field AnalysisAttributeId as 0 in the request body. + +**Analysis Attribute POST endpoint** + +`POST` /actsapi/v1/analysisattribute + +> Example Request & JSON Input Body + +```javascript +var request = require("request"); + +var options = { method: 'POST', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/analysisattribute', + headers: { 'content-type': 'application/json' }, + body: + [ + { + "analysisAttributeId": "number", + "analysisId": "number", + "attributeTypeId": "number", + "analysisAttribute": "string", + "dataLockTypeId": "number", + "externalIdentifier": "string", + "comments": "string" + } + ], + json: true }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/analysisattribute"); +var request = new RestRequest(Method.POST); +request.AddHeader("content-type", "application/json"); +request.AddParameter("application/json", "[{\"analysisAttributeId\":\"number\",\"analysisId\":\"number\",\"attributeTypeId\":\"number\",\"analysisAttribute\":\"string\",\"dataLockTypeId\":\"number\",\"externalIdentifier\":\"string\",\"comments\":\"string\"}]", ParameterType.RequestBody); +IRestResponse response = client.Execute(request); +``` + +> Input JSON Body + +```json +[ + { + "analysisAttributeId": "number", + "analysisId": "number", + "attributeTypeId": "number", + "analysisAttribute": "string", + "dataLockTypeId": "number", + "externalIdentifier": "string", + "comments": "string" + } +] +``` + +> Example Response + +```json +{ + "insertedRowCount": 1, + "updatedRowCount": 0, + "failureCount": 0, + "errorMessage": [] +} +``` + +> Example Output For When Data Get's Failed To Insert or Update + +```json +{ + "insertedRowCount": 0, + "updatedRowCount": 0, + "failureCount": 1, + "errorMessage": [ + "AnalysisAttribute ID : 0, Error: An error occurred while saving the entity changes. See the inner exception for details" + ] +} +``` + +**JSON Body Parameters** + +Attribute | Type | Description +--------- | ---- | ----------- +analysisAttributeId | int | Analysis Attribute ID is the unique identifier for this analysis attribute record. Pass 0 to insert a new record. +analysisId | int | Analysis ID is the unique identifier of the associated analysis +attributeTypeId | int | Attribute Type ID is the unique identifier of the associated attribute type +analysisAttribute | string | Analysis Attribute is the value of the attribute +dataLockTypeId | int | Data Lock Type ID is the unique identifier for the data lock type +externalIdentifier | string | External Identifier is a unique identifier for this record to an external data system +comments | string | Comments for the analysis attribute record + +### 2. Analysis Table This section guides you through the process of modifying existing Analysis records or adding new entries to the Analysis table using the designated API endpoint. For inserting a new record, please pass the primary key field AnalysisId as 0 in the request body. @@ -151,7 +255,7 @@ IRestResponse response = client.Execute(request); ``` -### 2. Analysis Compound Table +### 3. Analysis Compound Table This section guides you through the process of modifying existing Analysis Compound records or adding new entries to the Analysis Compound table using the designated API endpoint. For inserting a new record, please pass the primary key field AnalysisCompoundId as 0 in the request body. @@ -267,7 +371,118 @@ IRestResponse response = client.Execute(request); ``` -### 3. Emission Factor Table +### 4. Analysis Value Table + +This section guides you through the process of modifying existing Analysis Value records or adding new entries to the Analysis Value table using the designated API endpoint. For inserting a new record, please pass the primary key field AnalysisValueId as 0 in the request body. + +**Analysis Value POST endpoint** + +`POST` /actsapi/v1/analysisvalue + +> Example Request & JSON Input Body + +```javascript +var request = require("request"); + +var options = { method: 'POST', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/analysisvalue', + headers: { 'content-type': 'application/json' }, + body: + [ + { + "analysisValueId": "number", + "analysisId": "number", + "analysisValueName": "string", + "operator": "string", + "analysisValue": "number", + "unitId": "number", + "resultText": "string", + "analysisDate": "2024-11-01T12:58:49Z", + "dilutionFactor": "number", + "reportingLimit": "number", + "method": "string", + "methodDetectionLimit": "number", + "qualifier": "string", + "reportableInd": "string", + "dataLockTypeId": "number", + "sortOrder": "number", + "externalIdentifier": "string", + "comments": "string" + } +], + json: true }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/analysisvalue"); +var request = new RestRequest(Method.POST); +request.AddHeader("content-type", "application/json"); +request.AddParameter("application/json", "[ {\r\n \"analysisValueId\": \"number\",\r\n \"analysisId\": \"number\",\r\n \"analysisValueName\": \"string\",\r\n \"operator\": \"string\",\r\n \"analysisValue\": \"number\",\r\n \"unitId\": \"number\",\r\n \"resultText\": \"string\",\r\n \"analysisDate\": \"2024-11-01T12:58:49Z\",\r\n \"dilutionFactor\": \"number\",\r\n \"reportingLimit\": \"number\",\r\n \"method\": \"string\",\r\n \"methodDetectionLimit\": \"number\",\r\n \"qualifier\": \"string\",\r\n \"reportableInd\": \"string\",\r\n \"dataLockTypeId\": \"number\",\r\n \"sortOrder\": \"number\",\r\n \"externalIdentifier\": \"string\",\r\n \"comments\": \"string\"\r\n }\r\n]", ParameterType.RequestBody); +IRestResponse response = client.Execute(request); +``` + +> Input JSON Body + +```json +[ + { + "analysisValueId": "number", + "analysisId": "number", + "analysisValueName": "string", + "operator": "string", + "analysisValue": "number", + "unitId": "number", + "resultText": "string", + "analysisDate": "2024-11-01T12:58:49Z", + "dilutionFactor": "number", + "reportingLimit": "number", + "method": "string", + "methodDetectionLimit": "number", + "qualifier": "string", + "reportableInd": "string", + "dataLockTypeId": "number", + "sortOrder": "number", + "externalIdentifier": "string", + "comments": "string" + } +] +``` +> Example Response + +```json +{ + "insertedRowCount" : 0 , + "updatedRowCount" : 1 , + "deletedRowCount" : 0 , + "failureCount" : 0 , + "errorMessage" : [] + +} + +``` + +> Example Output For When Data Get's Failed To Insert or Update due to invalid analysisValueId + +```json +{ + "insertedRowCount" : 0 , + "updatedRowCount" : 0 , + "deletedRowCount" : 0 , + "failureCount" : 1 , + "errorMessage" : [ + "External Identifier : , Error: An error occurred while saving the entity changes. See the inner exception for details. " + ] +} + +``` + +### 5. Emission Factor Table This section guides you through the process of modifying existing Emission Factor records or adding new entries to the Emission Factor table using the designated API endpoint. For inserting a new record, please pass the primary key field emissionFactorId as 0 in the request body. @@ -370,7 +585,7 @@ IRestResponse response = client.Execute(request); ``` -### 4. Emissions Recalculate By Equipment +### 6. Emissions Recalculate By Equipment This section guides you through the process of an on-demand update to the emissions calculation for a specific equipment using the designated API endpoint. While this API endpoint is a child of the Equipment table, adding or updating an equipment will not cause an update on its own. @@ -442,7 +657,7 @@ IRestResponse response = client.Execute(request); ``` -### 5. Emissions Recalculate By Operation +### 7. Emissions Recalculate By Operation This section guides you through the process of an on-demand update to the emissions calculation for a specific operation using the designated API endpoint. While this API endpoint is a child of the Operation table, adding or updating an operation with the API will not cause an update on its own. @@ -515,7 +730,7 @@ IRestResponse response = client.Execute(request); ``` -### 6. Equipment Table +### 8. Equipment Table This section guides you through the process of modifying existing equipment records or adding new entries to the Equipment table using the designated API endpoint. @@ -626,7 +841,7 @@ IRestResponse response = client.Execute(request); ``` -### 7. Equipment Analysis Table +### 9. Equipment Analysis Table This section outlines the process of adding new entries or modifying existing records within the Equipment Analysis table using the dedicated API endpoint. @@ -671,9 +886,7 @@ request(options, function (error, response, body) { var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/equipmentanalysis"); var request = new RestRequest(Method.POST); request.AddHeader("content-type", "application/json"); -request.AddParameter("application/json", " [\r\n { \r\n\ "equipmentAnalysisId\": \"number\",\r\n \"equipmentId\": \"number\",\r\n - \"analysisId\": \"number\",\r\n \"analysisAssociationTypeId\": \"number\",\r\n \"activeDate\": \"2014-04-01T00:00:00z\",\r\n - \"inactiveDate\": \"2025-04-01T00:00:00z\",\r\n \"dataLockTypeId\": \"number\",\r\n \"externalIdentifier\": \"string\",\r\n \"comments\": \"string\" \r\n }\r\n]", +request.AddParameter("application/json", " [\r\n { \r\n \"equipmentAnalysisId\": \"number\",\r\n \"equipmentId\": \"number\",\r\n \"analysisId\": \"number\",\r\n \"analysisAssociationTypeId\": \"number\",\r\n \"activeDate\": \"2014-04-01T00:00:00z\",\r\n \"inactiveDate\": \"2025-04-01T00:00:00z\",\r\n \"dataLockTypeId\": \"number\",\r\n \"externalIdentifier\": \"string\",\r\n \"comments\": \"string\" \r\n }\r\n]", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` @@ -722,7 +935,7 @@ IRestResponse response = client.Execute(request); ``` -### 8. Equipment Attribute Table +### 10. Equipment Attribute Table This section outlines the process of adding new entries or modifying existing records within the Equipment Attribute table using the dedicated API endpoint. @@ -813,7 +1026,98 @@ IRestResponse response = client.Execute(request); -### 9. Facility Table +### 11. Equipment Requirement Table + +This section guides you through the process of modifying existing Equipment Requirement records or adding new entries to the Equipment Requirement table using the designated API endpoint. For inserting a new record, please pass the primary key field EquipmentRequirementId as 0 in the request body. + +**Equipment Requirement POST endpoint** + +`POST` /actsapi/v1/equipmentrequirement + +> Example Request & JSON Input Body + +```javascript +var request = require("request"); + +var options = { method: 'POST', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/equipmentrequirement', + headers: { 'content-type': 'application/json' }, + body: + [ + { + "equipmentRequirementId": "number", + "equipmentId": "number", + "requirementId": "number", + "activeDate": "2024-11-01T12:58:49Z", + "inactiveDate": "2024-11-01T12:58:49Z", + "externalIdentifier": "string", + "comments": "string" + } +], + json: true }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/equipmentrequirement"); +var request = new RestRequest(Method.POST); +request.AddHeader("content-type", "application/json"); +request.AddParameter("application/json", "[ {\r\n \"equipmentRequirementId\": \"number\",\r\n \"equipmentId\": \"number\",\r\n \"requirementId\": \"number\",\r\n \"activeDate\": \"2024-11-01T12:58:49Z\",\r\n \"inactiveDate\": \"2024-11-01T12:58:49Z\",\r\n \"externalIdentifier\": \"string\",\r\n \"comments\": \"string\"\r\n }\r\n]", ParameterType.RequestBody); +IRestResponse response = client.Execute(request); +``` + +> Input JSON Body + +```json +[ + { + "equipmentRequirementId": "number", + "equipmentId": "number", + "requirementId": "number", + "activeDate": "2024-11-01T12:58:49Z", + "inactiveDate": "2024-11-01T12:58:49Z", + "externalIdentifier": "string", + "comments": "string" + } +] +``` +> Example Response + +```json +{ + "insertedRowCount" : 0 , + "updatedRowCount" : 1 , + "deletedRowCount" : 0 , + "failureCount" : 0 , + "errorMessage" : [] + +} + +``` + +> Example Output For When Data Get's Failed To Insert or Update due to invalid equipmentRequirementId + +```json +{ + "insertedRowCount" : 0 , + "updatedRowCount" : 0 , + "deletedRowCount" : 0 , + "failureCount" : 1 , + "errorMessage" : [ + "External Identifier : , Error: An error occurred while saving the entity changes. See the inner exception for details. " + ] +} + +``` + + + +### 12. Facility Table This section outlines the process of adding new entries or modifying existing records within the Facility table using the dedicated API endpoint. @@ -939,13 +1243,13 @@ IRestResponse response = client.Execute(request); ``` -### 10. Facility Attribute Table +### 13. Facility Analysis Table -This section outlines the process of adding new entries or modifying existing records within the Facility Attribute table using the dedicated API endpoint. +This section guides you through the process of modifying existing Facility Analysis records or adding new entries to the Facility Analysis table using the designated API endpoint. For inserting a new record, please pass the primary key field FacilityAnalysisId as 0 in the request body. -**Facility Attribute POST Endpoint** +**Facility Analysis POST endpoint** -`POST` /actsapi/v1/facilityattribute +`POST` /actsapi/v1/facilityanalysis > Example Request & JSON Input Body @@ -953,21 +1257,23 @@ This section outlines the process of adding new entries or modifying existing re var request = require("request"); var options = { method: 'POST', - url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/facilityattribute', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/facilityanalysis', headers: { 'content-type': 'application/json' }, body: - [ - { "facilityAttributeId": "number", + [ + { + "facilityAnalysisId": "number", "facilityId": "number", - "attributeTypeId": "number", - "facilityAttribute":"string", + "analysisId": "number", + "analysisAssociationTypeId": "number", "dataLockTypeId": "number", + "activeDate": "2024-11-01T12:58:49Z", + "inactiveDate": "2024-11-01T12:58:49Z", "externalIdentifier": "string", - "comments":"string" + "comments": "string" } ], - json: true }; - + json: true }; request(options, function (error, response, body) { if (error) throw new Error(error); @@ -977,23 +1283,114 @@ request(options, function (error, response, body) { ``` ```csharp -var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/facilityattribute"); +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/facilityanalysis"); var request = new RestRequest(Method.POST); request.AddHeader("content-type", "application/json"); -request.AddParameter("application/json", "[\r\n { \r\n"facilityAttributeId\": \"number\",\r\n \"facilityId\": \"number\",\r\n \"attributeTypeId\": \"number\",\r\n \"facilityAttribute\":\"string\",\r\n \"dataLockTypeId\": \"number\",\r\n \"externalIdentifier\": \"string\",\r\n \"comments\":\"string\"\r\n }\r\n]", ParameterType.RequestBody); +request.AddParameter("application/json", "[ {\r\n \"facilityAnalysisId\": \"number\",\r\n \"facilityId\": \"number\",\r\n \"analysisId\": \"number\",\r\n \"analysisAssociationTypeId\": \"number\",\r\n \"dataLockTypeId\": \"number\",\r\n \"activeDate\": \"2024-11-01T12:58:49Z\",\r\n \"inactiveDate\": \"2024-11-01T12:58:49Z\",\r\n \"externalIdentifier\": \"string\",\r\n \"comments\": \"string\"\r\n }\r\n]", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` -> Input JSON Body +> Input JSON Body ```json [ - { - "facilityAttributeId": "number", + { + "facilityAnalysisId": "number", "facilityId": "number", - "attributeTypeId": "number", - "facilityAttribute":"string", - "dataLockTypeId": "number", + "analysisId": "number", + "analysisAssociationTypeId": "number", + "dataLockTypeId": "number", + "activeDate": "2024-11-01T12:58:49Z", + "inactiveDate": "2024-11-01T12:58:49Z", + "externalIdentifier": "string", + "comments": "string" + } +] +``` +> Example Response + +```json +{ + "insertedRowCount" : 0 , + "updatedRowCount" : 1 , + "deletedRowCount" : 0 , + "failureCount" : 0 , + "errorMessage" : [] + +} + +``` + +> Example Output For When Data Get's Failed To Insert or Update due to invalid facilityAnalysisId + +```json +{ + "insertedRowCount" : 0 , + "updatedRowCount" : 0 , + "deletedRowCount" : 0 , + "failureCount" : 1 , + "errorMessage" : [ + "External Identifier : , Error: An error occurred while saving the entity changes. See the inner exception for details. " + ] +} + +``` + +### 14. Facility Attribute Table + +This section outlines the process of adding new entries or modifying existing records within the Facility Attribute table using the dedicated API endpoint. + +**Facility Attribute POST Endpoint** + +`POST` /actsapi/v1/facilityattribute + +> Example Request & JSON Input Body + +```javascript +var request = require("request"); + +var options = { method: 'POST', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/facilityattribute', + headers: { 'content-type': 'application/json' }, + body: + [ + { "facilityAttributeId": "number", + "facilityId": "number", + "attributeTypeId": "number", + "facilityAttribute":"string", + "dataLockTypeId": "number", + "externalIdentifier": "string", + "comments":"string" + } +], + json: true }; + + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/facilityattribute"); +var request = new RestRequest(Method.POST); +request.AddHeader("content-type", "application/json"); +request.AddParameter("application/json", "[\r\n { \r\n"facilityAttributeId\": \"number\",\r\n \"facilityId\": \"number\",\r\n \"attributeTypeId\": \"number\",\r\n \"facilityAttribute\":\"string\",\r\n \"dataLockTypeId\": \"number\",\r\n \"externalIdentifier\": \"string\",\r\n \"comments\":\"string\"\r\n }\r\n]", ParameterType.RequestBody); +IRestResponse response = client.Execute(request); +``` + +> Input JSON Body + +```json +[ + { + "facilityAttributeId": "number", + "facilityId": "number", + "attributeTypeId": "number", + "facilityAttribute":"string", + "dataLockTypeId": "number", "externalIdentifier": "string", "comments":"string" } @@ -1026,7 +1423,96 @@ IRestResponse response = client.Execute(request); ``` -### 11. Operation Table +### 15. Facility Regulation Table + +This section guides you through the process of modifying existing Facility Regulation records or adding new entries to the Facility Regulation table using the designated API endpoint. For inserting a new record, please pass the primary key field FacilityRegulationId as 0 in the request body. + +**Facility Regulation POST endpoint** + +`POST` /actsapi/v1/facilityregulation + +> Example Request & JSON Input Body + +```javascript +var request = require("request"); + +var options = { method: 'POST', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/facilityregulation', + headers: { 'content-type': 'application/json' }, + body: + [ + { + "facilityRegulationId": "number", + "facilityId": "number", + "regulationId": "number", + "activeDate": "2024-11-01T12:58:49Z", + "inactiveDate": "2024-11-01T12:58:49Z", + "externalIdentifier": "string", + "comments": "string" + } +], + json: true }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/facilityregulation"); +var request = new RestRequest(Method.POST); +request.AddHeader("content-type", "application/json"); +request.AddParameter("application/json", "[ {\r\n \"facilityRegulationId\": \"number\",\r\n \"facilityId\": \"number\",\r\n \"regulationId\": \"number\",\r\n \"activeDate\": \"2024-11-01T12:58:49Z\",\r\n \"inactiveDate\": \"2024-11-01T12:58:49Z\",\r\n \"externalIdentifier\": \"string\",\r\n \"comments\": \"string\"\r\n }\r\n]", ParameterType.RequestBody); +IRestResponse response = client.Execute(request); +``` + +> Input JSON Body + +```json +[ + { + "facilityRegulationId": "number", + "facilityId": "number", + "regulationId": "number", + "activeDate": "2024-11-01T12:58:49Z", + "inactiveDate": "2024-11-01T12:58:49Z", + "externalIdentifier": "string", + "comments": "string" + } +] +``` +> Example Response + +```json +{ + "insertedRowCount" : 0 , + "updatedRowCount" : 1 , + "deletedRowCount" : 0 , + "failureCount" : 0 , + "errorMessage" : [] + +} + +``` + +> Example Output For When Data Get's Failed To Insert or Update due to invalid facilityRegulationId + +```json +{ + "insertedRowCount" : 0 , + "updatedRowCount" : 0 , + "deletedRowCount" : 0 , + "failureCount" : 1 , + "errorMessage" : [ + "External Identifier : , Error: An error occurred while saving the entity changes. See the inner exception for details. " + ] +} + +``` + +### 16. Operation Table This section outlines the process of adding new entries or modifying existing records within the Operation table using the dedicated API endpoint. @@ -1139,7 +1625,7 @@ IRestResponse response = client.Execute(request); ``` -### 12. Regulation Table +### 17. Regulation Table This section outlines the process of adding new entries or modifying existing records within the Regulation table using the dedicated API endpoint. @@ -1248,7 +1734,94 @@ IRestResponse response = client.Execute(request); } ``` -### 13. Requirement Table +### 18. Regulation Attribute Table + +This section guides you through the process of modifying existing Regulation Attribute records or adding new entries to the Regulation Attribute table using the designated API endpoint. For inserting a new record, please pass the primary key field RegulationAttributeId as 0 in the request body. + +**Regulation Attribute POST endpoint** + +`POST` /actsapi/v1/regulationattribute + +> Example Request & JSON Input Body + +```javascript +var request = require("request"); + +var options = { method: 'POST', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/regulationattribute', + headers: { 'content-type': 'application/json' }, + body: + [ + { + "regulationAttributeId": "number", + "regulationId": "number", + "attributeTypeId": "number", + "regulationAttribute": "string", + "externalIdentifier": "string", + "comments": "string" + } +], + json: true }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/regulationattribute"); +var request = new RestRequest(Method.POST); +request.AddHeader("content-type", "application/json"); +request.AddParameter("application/json", "[ {\r\n \"regulationAttributeId\": \"number\",\r\n \"regulationId\": \"number\",\r\n \"attributeTypeId\": \"number\",\r\n \"regulationAttribute\": \"string\",\r\n \"externalIdentifier\": \"string\",\r\n \"comments\": \"string\"\r\n }\r\n]", ParameterType.RequestBody); +IRestResponse response = client.Execute(request); +``` + +> Input JSON Body + +```json +[ + { + "regulationAttributeId": "number", + "regulationId": "number", + "attributeTypeId": "number", + "regulationAttribute": "string", + "externalIdentifier": "string", + "comments": "string" + } +] +``` +> Example Response + +```json +{ + "insertedRowCount" : 0 , + "updatedRowCount" : 1 , + "deletedRowCount" : 0 , + "failureCount" : 0 , + "errorMessage" : [] + +} + +``` + +> Example Output For When Data Get's Failed To Insert or Update due to invalid regulationAttributeId + +```json +{ + "insertedRowCount" : 0 , + "updatedRowCount" : 0 , + "deletedRowCount" : 0 , + "failureCount" : 1 , + "errorMessage" : [ + "External Identifier : , Error: An error occurred while saving the entity changes. See the inner exception for details. " + ] +} + +``` + +### 19. Requirement Table This section outlines the process of adding new entries or modifying existing records within the Requirement table using the dedicated API endpoint. @@ -1372,7 +1945,7 @@ IRestResponse response = client.Execute(request); ``` -### 14. Requirement Limit Table +### 20. Requirement Limit Table This section outlines the process of adding new entries or modifying existing records within the Requirement Limit table using the dedicated API endpoint. @@ -1489,7 +2062,100 @@ IRestResponse response = client.Execute(request); } ``` -### 15. Workflow Table +### 21. Requirement Person Table + +This section guides you through the process of modifying existing Requirement Person records or adding new entries to the Requirement Person table using the designated API endpoint. For inserting a new record, please pass the primary key field RequirementPersonId as 0 in the request body. + +**Requirement Person POST endpoint** + +`POST` /actsapi/v1/requirementperson + +> Example Request & JSON Input Body + +```javascript +var request = require("request"); + +var options = { method: 'POST', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/requirementperson', + headers: { 'content-type': 'application/json' }, + body: + [ + { + "requirementPersonId": "number", + "requirementId": "number", + "personId": "number", + "personAssociationTypeId": "number", + "taskPersonTypeId": "number", + "activeDate": "2024-11-01T12:58:49Z", + "inactiveDate": "2024-11-01T12:58:49Z", + "externalIdentifier": "string", + "comments": "string" + } +], + json: true }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/requirementperson"); +var request = new RestRequest(Method.POST); +request.AddHeader("content-type", "application/json"); +request.AddParameter("application/json", "[ {\r\n \"requirementPersonId\": \"number\",\r\n \"requirementId\": \"number\",\r\n \"personId\": \"number\",\r\n \"personAssociationTypeId\": \"number\",\r\n \"taskPersonTypeId\": \"number\",\r\n \"activeDate\": \"2024-11-01T12:58:49Z\",\r\n \"inactiveDate\": \"2024-11-01T12:58:49Z\",\r\n \"externalIdentifier\": \"string\",\r\n \"comments\": \"string\"\r\n }\r\n]", ParameterType.RequestBody); +IRestResponse response = client.Execute(request); +``` + +> Input JSON Body + +```json +[ + { + "requirementPersonId": "number", + "requirementId": "number", + "personId": "number", + "personAssociationTypeId": "number", + "taskPersonTypeId": "number", + "activeDate": "2024-11-01T12:58:49Z", + "inactiveDate": "2024-11-01T12:58:49Z", + "externalIdentifier": "string", + "comments": "string" + } +] +``` +> Example Response + +```json +{ + "insertedRowCount" : 0 , + "updatedRowCount" : 1 , + "deletedRowCount" : 0 , + "failureCount" : 0 , + "errorMessage" : [] + +} + +``` + +> Example Output For When Data Get's Failed To Insert or Update due to invalid requirementPersonId + +```json +{ + "insertedRowCount" : 0 , + "updatedRowCount" : 0 , + "deletedRowCount" : 0 , + "failureCount" : 1 , + "errorMessage" : [ + "External Identifier : , Error: An error occurred while saving the entity changes. See the inner exception for details. " + ] +} + +``` + +### 22. Workflow Table This section outlines the process of adding new entries or modifying existing records within the Workflow table using the dedicated API endpoint. @@ -1575,7 +2241,7 @@ IRestResponse response = client.Execute(request); ``` -### 16. Workflow Answer Table +### 23. Workflow Answer Table This section outlines the process of adding new entries or modifying existing records within the Workflow Answer table using the dedicated API endpoint. @@ -1669,7 +2335,7 @@ IRestResponse response = client.Execute(request); ``` -### 17. Workflow Equipment Table +### 24. Workflow Equipment Table This section outlines the process of adding new entries or modifying existing records within the Workflow Equipment table using the dedicated API endpoint. @@ -1755,7 +2421,7 @@ IRestResponse response = client.Execute(request); ``` -### 18. Workflow Facility Table +### 25. Workflow Facility Table This section outlines the process of adding new entries or modifying existing records within the Workflow Facility table using the dedicated API endpoint. @@ -1842,7 +2508,7 @@ IRestResponse response = client.Execute(request); ``` -### 19. Workflow Person Table +### 26. Workflow Person Table This section outlines the process of adding new entries or modifying existing records within the Workflow Person table using the dedicated API endpoint. From ee727ab1f57074bf4bb1b0361ccd53c66bb039a9 Mon Sep 17 00:00:00 2001 From: mithunP-45 Date: Wed, 4 Mar 2026 11:36:39 +0530 Subject: [PATCH 2/6] [ILX-60681] Added missing ENDPOINT'S --- source/includes/acts/get_api.md | 358 ++++++++++++++++++++++++++++--- source/includes/acts/post_api.md | 96 ++++++++- 2 files changed, 409 insertions(+), 45 deletions(-) diff --git a/source/includes/acts/get_api.md b/source/includes/acts/get_api.md index d2853537c25..ff14f785f72 100644 --- a/source/includes/acts/get_api.md +++ b/source/includes/acts/get_api.md @@ -5,6 +5,7 @@ This section outlines the various GET APIs available for fetching data from diff As per the current release, GET APIs End points are provided to fetch from the following tables: * Analysis +* Analysis Attribute * Analysis Compound * Analysis Type * Analysis Value @@ -22,14 +23,17 @@ As per the current release, GET APIs End points are provided to fetch from the f * Facility * Facility Analysis * Facility Attribute +* Facility Regulation * Operation * Operation Type * Person * Query * Regulation +* Regulation Attribute * Regulation Type * Requirement * Requirement Limit +* Requirement Person * Unit * Workflow * Workflow Answer @@ -128,7 +132,77 @@ lastModifiedStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ lastModifiedEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" externalIdentifier | string | External Identifier is a unique identifier for this record to an external data system -### 2. Analysis Compound Table +### 2. Analysis Attribute Table + +This section outlines the process of retrieving data from the Analysis Attribute table using the dedicated API endpoint. The endpoint facilitates the retrieval of all data from the Analysis Attribute table or enables the selection of specific information by including Analysis Attribute Ids, Analysis Ids, Attribute Type Ids, and date ranges. Additionally, the Analysis Attribute endpoint supports pagination to effectively manage larger datasets. + +> Example Request + +```javascript +var request = require("request"); + +var options = { method: 'GET', + url: 'https://[tenant].actsapi.intelex.com/actsapi/v1/analysisattribute' }; + +request(options, function (error, response, body) { + if (error) throw new Error(error); + + console.log(body); +}); +``` + +```csharp +var client = new RestClient("https://[tenant].actsapi.intelex.com/actsapi/v1/analysisattribute"); +var request = new RestRequest(Method.GET); +IRestResponse response = client.Execute(request); +``` + +> Response Schema + +```json +{ + "currentPage": 1, + "totalPages": 3, + "currentPageSize": 500, + "maxAPIPageSize": 500, + "totalCount": 1346, + "hasPrevious": false, + "hasNext": true, + "data": [ + { + "analysisAttributeId": "number", + "analysisId": "number", + "attributeTypeId": "number", + "analysisAttribute": "string", + "dataLockTypeId": "number", + "lastModifiedDate": "2024-01-15T00:00:00", + "externalIdentifier": "string", + "comments": "string" + } + ] +} +``` + +**API Endpoints** + +`GET` /actsapi/v1/analysisattribute + +**Query parameters** + +Attribute | Type | Description +--------- | ---- | ----------- +PageNumber | int | Page number of the results to fetch. +PageSize | int | The number of results per page +analysisAttributeIds | int | Analysis Attribute ID is one of the unique identifiers for this analysis attribute record +analysisIds | int | Analysis ID is the unique identifier of the associated analysis +attributeTypeIds | int | Attribute Type ID is the unique identifier of the associated attribute type +analysisAttributes | string | Analysis Attributes is one of the filter options for the value of the analysis attribute +dataLockTypeIds | int | Data Lock Type ID is the unique identifier of the associated data lock type +lastModifiedStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +lastModifiedEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" +externalIdentifier | string | External Identifier is a unique identifier for this record to an external data system + +### 3. Analysis Compound Table This section outlines the process of retrieving data from the Analysis Compound table using the dedicated API endpoint. The endpoint facilitates the retrieval of all data from the Analysis Compound table or enables the selection of specific information by including Analysis Compound Ids, Analysis Ids, Compound Ids, Unit Ids, and date ranges. Additionally, the Analysis Compound endpoint supports pagination to effectively manage larger datasets. @@ -210,7 +284,7 @@ lastModifiedStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ lastModifiedEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" externalIdentifier | string | External Identifier is a unique identifier for this record to an external data system -### 3. Analysis Type Table +### 4. Analysis Type Table This section outlines the process of retrieving data from the Analysis Type table using the dedicated API endpoint. The endpoint facilitates the retrieval of all data from the Analysis Type table or enables the selection of specific information by including Analysis Type Ids. Additionally, the Analysis Type endpoint supports pagination to effectively manage larger datasets. @@ -282,7 +356,7 @@ analysisTypeIds | int | Analysis Type ID is one of the unique identifiers for th analysisTypes | string | Analysis Types is one of the filter option and the parameter is for the type of the analysis externalIdentifier | string | External Identifier is a unique identifier for this record to an external data system -### 4. Analysis Value Table +### 5. Analysis Value Table This section outlines the process of retrieving data from the Analysis Value table using the dedicated API endpoint. The endpoint facilitates the retrieval of all data from the Analysis Value table or enables the selection of specific information by including Analysis Value Ids, Analysis Ids, Unit Ids, and date ranges. Additionally, the Analysis Value endpoint supports pagination to effectively manage larger datasets. @@ -364,7 +438,7 @@ lastModifiedStartDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ lastModifiedEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" externalIdentifier | string | External Identifier is a unique identifier for this record to an external data system -### 5. Attribute Type Table +### 6. Attribute Type Table This section outlines the process of retrieving data from the Attribute Type table using the dedicated API endpoint. The endpoint facilitates the retrieval of all data from the Attribute Type table or enables the selection of specific information by including Attribute Ids and Attribute Types. Additionally, the Attribute Type endpoint supports pagination to effectively manage larger datasets. @@ -442,7 +516,7 @@ PageSize | int | The number of results per page attributeTypeIds | int | Attribute ID is one of the filter parameter is a integer data type attributeTypes | string | Attribute Types is for the project detail type -### 6. Compound Table +### 7. Compound Table This section guides you through the process of fetching data from the Compound table using the dedicated API endpoint. The endpoint offers the flexibility to retrieve all data from the Compound table or selectively acquire information by including Compound Ids, Compound Type Ids, Compound Status Ids, Compound Names, External Identifiers, or CAS Numbers. Additionally, the Compound endpoint is equipped with pagination capabilities to facilitate efficient management of substantial datasets. @@ -543,7 +617,7 @@ compoundNames | string | Compound Names The name of the compound which is a stri externalIdentifier | int | External Identifiers is a unique identifier for this record to an external data system cas | string | CAS Number is a Chemical Abstract Service number for the compound -### 7. Emission Table +### 8. Emission Table This section elaborates on how to obtain data from the Emission table using the designated API endpoint. The endpoint allows you to retrieve all data from the Emission table or selectively acquire information by providing the Emission ID. Moreover, the Emission endpoint features pagination to facilitate efficient management of substantial datasets. @@ -635,7 +709,7 @@ activeEndDate| datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2 inactiveStartDate| datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" inactiveEndDate| datetime | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" -### 8. Emission Category Table +### 9. Emission Category Table This section elaborates on how to obtain data from the Emission Category table using the designated API endpoint. The endpoint allows you to retrieve all data from the Emission Category table or selectively acquire information by providing the Emission Category ID. Moreover, the Emission Category endpoint features pagination to facilitate efficient management of substantial datasets. @@ -695,7 +769,7 @@ PageSize | int | The number of results per page emissionCategoryIds | int | Emission Category ID is one of the unique identifier for this emission category record and is one of the filter option provided for Emission Category emissionCategoryTypes | string | Emission Category Types is for the project to emission category detail types -### 9. Emission Factor Table +### 10. Emission Factor Table This section elaborates on how to obtain data from the Emission Factor table using the designated API endpoint. The endpoint allows you to retrieve all data from the Emission Factor table or You can optionally fetch specific data by including the emission factor Ids, emission factor names, emission type Ids, emission category Ids, unit Ids, compound Ids, equipment Ids, last modified start date and last modified end date. The Emission Factor endpoint supports pagination. @@ -772,7 +846,7 @@ equipmentIds | int | The unique identifier of the associated equipment lastModifiedStartDate | string | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" lastModifiedEndDate | string | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" -### 10. Emission Type Table +### 11. Emission Type Table This section guides you through the process of fetching data from the Emission Type table using the dedicated API endpoint. The endpoint enables you to retrieve data from the entire Emission Type table or selectively obtain information by including Emission Type Ids. Additionally, the Emission Type endpoint is equipped with pagination capabilities to facilitate the handling of extensive datasets. @@ -836,7 +910,7 @@ emissionTypeIds | int | Emission Type ID is one of the type of emissions and is emissionTypes | string | Emission Types is for the project to emission detail types -### 11. Equipment Table +### 12. Equipment Table This section provides guidance on retrieving data from the Equipment table using the designated API endpoint. The endpoint allows you to retrieve all data from the Equipment table or specify specific data based on equipment Ids. Additionally, the Equipment endpoint offers pagination support to facilitate the handling of substantial datasets. @@ -923,7 +997,7 @@ lastModifiedEndDate | string | Date time format "yyyy/mm/dd T hours:min:secZ - E externalIdentifier | string | External Identifier a unique identifier for this record to an external data system -### 12. Equipment Analysis Table +### 13. Equipment Analysis Table This section outlines the process of retrieving data from the Equipment Analysis table using the dedicated API endpoint. The endpoint facilitates the retrieval of all data from the Equipment Analysis table or enables the selection of specific information by including Equipment Analysis Ids, Equipment Ids, Analysis Ids, Analysis Association Type Ids, and date ranges. Additionally, the Equipment Analysis endpoint supports pagination to effectively manage larger datasets. @@ -999,7 +1073,7 @@ lastModifiedEndDate | datetime | Date time format "yyyy/mm/dd T hours:min:secZ - externalIdentifier | string | External Identifier is a unique identifier for this record to an external data system -### 13. Equipment Attribute Table +### 14. Equipment Attribute Table All data from the Equipment Attribute table will be returned from the endpoint below. You can optionally fetch specific data by including the facility attribute Ids, facility names, emission type Ids, facility type Ids, unit Ids, equipment Ids, last modified start date and last modified end date. The facility attribute endpoint supports pagination. @@ -1069,7 +1143,7 @@ lastModifiedStartDate | string | Date time format "yyyy/mm/dd T hours:min:secZ - lastModifiedEndDate | string | Date time format "yyyy/mm/dd T hours:min:secZ - Ex : 2017-02-13T22:15:30Z" -### 14. Equipment Status Table +### 15. Equipment Status Table All data from the Equipment Status table will be returned from the endpoint below. You can optionally fetch specific data by including the equipment status ID and equipment status value. The Equipment Status endpoint supports pagination. @@ -1134,7 +1208,7 @@ equipmentStatus | string | Equipment Status is one of the identifier for the sta -### 15. Equipment Type Table +### 16. Equipment Type Table All data from the Equipment Type table will be returned from the endpoint below. You can optionally fetch specific data by including the equipment type ID and equipment types value. The Equipment type endpoint supports pagination. @@ -1219,7 +1293,7 @@ equipmentTypeIds | int | Equipment Type ID is one of the unique identifier for t equipmentTypes | string | Equipment Types is one of the filter option and the parameter is for the type of the equipment -### 16. Facility Table +### 17. Facility Table All data from the Facility table will be returned from the endpoint below. You can optionally fetch specific data by including the facility Ids, facility names, emission type Ids, facility type Ids, facility status Ids, county Ids, last modified start date and last modified end date. The facility endpoint support
[...]
